package com.liquidnet.service.chime.service;

import com.liquidnet.service.chime.dto.ChimeUserInfoDto;
import com.liquidnet.service.chime.dto.ChimeUserRegisterReqDto;
import com.liquidnet.service.chime.dto.ChimeUserUpdateReqDto;
import com.liquidnet.service.chime.vo.mongo.ChimeUserInfoVo;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: IChimeUserService
 * @Package com.liquidnet.service.chime.service
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2021/9/8 16:14
 */
public interface IChimeUserService {

    ChimeUserInfoVo createChimeUserInfo(ChimeUserRegisterReqDto reqDto);

    boolean updateUserInfo(ChimeUserUpdateReqDto reqDto);

    boolean updateUserTags(ChimeUserUpdateReqDto reqDto);

    ChimeUserInfoDto getUserByUserId(String userId);

    boolean switchPerformanceId(String performanceId);

    boolean userLikeOperation(String currentUserId,String targetUserId);

    boolean userDisLikeOperation(String currentUserId,String targetUserId);
}
